Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Content/smartwizard2.0/js/jquery.smartWizard-2.0.js
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Content/smartwizard2.0/js/jquery.smartWizard-2.0.js	(revision 9305)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Content/smartwizard2.0/js/jquery.smartWizard-2.0.js	(revision 9305)
@@ -0,0 +1,346 @@
+/*
+ * SmartWizard 2.0 plugin
+ * jQuery Wizard control Plugin
+ * by Dipu 
+ * 
+ * http://www.techlaboratory.net 
+ * http://tech-laboratory.blogspot.com
+ */
+ 
+(function($){
+    $.fn.smartWizard = function(action) {
+        var options = $.extend({}, $.fn.smartWizard.defaults, action);
+        var args = arguments;
+        
+        return this.each(function(){
+                var obj = $(this);
+                var curStepIdx = options.selected;
+                var steps = $("ul > li > a[href^='#step-']", obj); // Get all anchors in this array
+                var contentWidth = 0;
+                var loader,msgBox,elmActionBar,elmStepContainer,btNext,btPrevious,btFinish;
+                
+                elmActionBar = $('.actionBar',obj);
+                if(elmActionBar.length == 0){
+                  elmActionBar = $('<div></div>').addClass("actionBar");                
+                }
+
+                msgBox = $('.msgBox',obj);
+                if(msgBox.length == 0){
+                  msgBox = $('<div class="msgBox"><div class="content"></div><a href="#" class="close">X</a></div>');
+                  elmActionBar.append(msgBox);                
+                }
+                
+                $('.close',msgBox).click(function() {
+                    msgBox.fadeOut("normal");
+                    return false;
+                });
+                
+
+                // Method calling logic
+                if (!action || action === 'init' || typeof action === 'object') {
+                  init();
+                }else if (action === 'showMessage') {
+                  //showMessage(Array.prototype.slice.call( args, 1 ));
+                  var ar =  Array.prototype.slice.call( args, 1 );
+                  showMessage(ar[0]);
+                  return true;
+                }else if (action === 'setError') {
+                  var ar =  Array.prototype.slice.call( args, 1 );
+                  setError(ar[0].stepnum,ar[0].iserror);
+                  return true;
+                } else {
+                  $.error( 'Method ' +  action + ' does not exist' );
+                }
+                
+                function init(){
+                  var allDivs =obj.children('div'); //$("div", obj);                
+                  obj.children('ul').addClass("anchor");
+                  allDivs.addClass("content");
+                  // Create Elements
+                  loader = $('<div>Loading</div>').addClass("loader");
+                  elmActionBar = $('<div></div>').addClass("actionBar");
+                  elmStepContainer = $('<div></div>').addClass("stepContainer");
+                  btNext = $('<a>'+options.labelNext+'</a>').attr("href","#").addClass("buttonNext");
+                  btPrevious = $('<a>'+options.labelPrevious+'</a>').attr("href","#").addClass("buttonPrevious");
+                  btFinish = $('<a>'+options.labelFinish+'</a>').attr("href","#").addClass("buttonFinish");
+                  
+                  // highlight steps with errors
+                  if(options.errorSteps && options.errorSteps.length>0){
+                    $.each(options.errorSteps, function(i, n){
+                      setError(n,true);
+                    });
+                  }
+
+
+                  elmStepContainer.append(allDivs);
+                  elmActionBar.append(loader);
+                  obj.append(elmStepContainer);
+                  obj.append(elmActionBar); 
+                  if (options.includeFinishButton) {
+                    elmActionBar.append(btFinish);
+                  }
+                  elmActionBar.append(btNext).append(btPrevious); 
+                  contentWidth = elmStepContainer.width();
+
+                  $(btNext).click(function() {
+                      if($(this).hasClass('buttonDisabled')){
+                        return false;
+                      }
+                      doForwardProgress();
+                      return false;
+                  }); 
+                  $(btPrevious).click(function() {
+                      if($(this).hasClass('buttonDisabled')){
+                        return false;
+                      }
+                      doBackwardProgress();
+                      return false;
+                  }); 
+                  $(btFinish).click(function() {
+                      if(!$(this).hasClass('buttonDisabled')){
+                         if($.isFunction(options.onFinish)) {
+                            if(!options.onFinish.call(this,$(steps))){
+                              return false;
+                            }
+                         }else{
+                           var frm = obj.parents('form');
+                           if(frm && frm.length){
+                             frm.submit();
+                           }                         
+                         }                      
+                      }
+
+                      return false;
+                  }); 
+                  
+                  $(steps).bind("click", function(e){
+                      if(steps.index(this) == curStepIdx){
+                        return false;                    
+                      }
+                      var nextStepIdx = steps.index(this);
+                      var isDone = steps.eq(nextStepIdx).attr("isDone") - 0;
+                      if(isDone == 1){
+                        LoadContent(nextStepIdx);                    
+                      }
+                      return false;
+                  }); 
+                  
+                  // Enable keyboard navigation                 
+                  if(options.keyNavigation){
+                      $(document).keyup(function(e){
+                          if(e.which==39){ // Right Arrow
+                            doForwardProgress();
+                          }else if(e.which==37){ // Left Arrow
+                            doBackwardProgress();
+                          }
+                      });
+                  }
+                  //  Prepare the steps
+                  prepareSteps();
+                  // Show the first slected step
+                  LoadContent(curStepIdx);                  
+                }
+
+                function prepareSteps(){
+                  if(!options.enableAllSteps){
+                    $(steps, obj).removeClass("selected").removeClass("done").addClass("disabled"); 
+                    $(steps, obj).attr("isDone",0);                 
+                  }else{
+                    $(steps, obj).removeClass("selected").removeClass("disabled").addClass("done"); 
+                    $(steps, obj).attr("isDone",1); 
+                  }
+
+            	    $(steps, obj).each(function(i){
+                        $($(this).attr("href"), obj).hide();
+                        $(this).attr("rel",i+1);
+                  });
+                }
+                
+                function LoadContent(stepIdx){
+                    var selStep = steps.eq(stepIdx);
+                    var ajaxurl = options.contentURL;
+                    var hasContent =  selStep.data('hasContent');
+                    stepNum = stepIdx+1;
+                    if(ajaxurl && ajaxurl.length>0){
+                       if(options.contentCache && hasContent){
+                           showStep(stepIdx);                          
+                       }else{
+                           $.ajax({
+                            url: ajaxurl,
+                            type: "POST",
+                            data: ({step_number : stepNum}),
+                            dataType: "text",
+                            beforeSend: function(){ loader.show(); },
+                            error: function(){loader.hide();},
+                            success: function(res){ 
+                              loader.hide();       
+                              if(res && res.length>0){  
+                                 selStep.data('hasContent',true);            
+                                 $($(selStep, obj).attr("href"), obj).html(res);
+                                 showStep(stepIdx);
+                              }
+                            }
+                          }); 
+                      }
+                    }else{
+                      showStep(stepIdx);
+                    }
+                }
+                
+                function showStep(stepIdx){
+                    var selStep = steps.eq(stepIdx); 
+                    var curStep = steps.eq(curStepIdx);
+                    if(stepIdx != curStepIdx){
+                      if($.isFunction(options.onLeaveStep)) {
+                        if(!options.onLeaveStep.call(this,$(curStep))){
+                          return false;
+                        }
+                      }
+                    }     
+                    if (options.updateHeight)
+                        elmStepContainer.height($($(selStep, obj).attr("href"), obj).outerHeight());               
+                    if(options.transitionEffect == 'slide'){
+                      $($(curStep, obj).attr("href"), obj).slideUp("fast",function(e){
+                            $($(selStep, obj).attr("href"), obj).slideDown("fast");
+                            curStepIdx =  stepIdx;                        
+                            SetupStep(curStep,selStep);
+                          });
+                    } else if(options.transitionEffect == 'fade'){                      
+                      $($(curStep, obj).attr("href"), obj).fadeOut("fast",function(e){
+                            $($(selStep, obj).attr("href"), obj).fadeIn("fast");
+                            curStepIdx =  stepIdx;                        
+                            SetupStep(curStep,selStep);                           
+                          });                    
+                    } else if(options.transitionEffect == 'slideleft'){
+                        var nextElmLeft = 0;
+                        var curElementLeft = 0;
+                        if(stepIdx > curStepIdx){
+                            nextElmLeft1 = contentWidth + 10;
+                            nextElmLeft2 = 0;
+                            curElementLeft = 0 - $($(curStep, obj).attr("href"), obj).outerWidth();
+                        } else {
+                            nextElmLeft1 = 0 - $($(selStep, obj).attr("href"), obj).outerWidth() + 20;
+                            nextElmLeft2 = 0;
+                            curElementLeft = 10 + $($(curStep, obj).attr("href"), obj).outerWidth();
+                        }
+                        if(stepIdx == curStepIdx){
+                            nextElmLeft1 = $($(selStep, obj).attr("href"), obj).outerWidth() + 20;
+                            nextElmLeft2 = 0;
+                            curElementLeft = 0 - $($(curStep, obj).attr("href"), obj).outerWidth();                           
+                        }else{
+                            $($(curStep, obj).attr("href"), obj).animate({left:curElementLeft},"fast",function(e){
+                              $($(curStep, obj).attr("href"), obj).hide();
+                            });                       
+                        }
+
+                        $($(selStep, obj).attr("href"), obj).css("left",nextElmLeft1);
+                        $($(selStep, obj).attr("href"), obj).show();
+                        $($(selStep, obj).attr("href"), obj).animate({left:nextElmLeft2},"fast",function(e){
+                          curStepIdx =  stepIdx;                        
+                          SetupStep(curStep,selStep);                      
+                        });
+                    } else{
+                        $($(curStep, obj).attr("href"), obj).hide(); 
+                        $($(selStep, obj).attr("href"), obj).show();
+                        curStepIdx =  stepIdx;                        
+                        SetupStep(curStep,selStep);
+                    }
+                    return true;
+                }
+                
+                function SetupStep(curStep,selStep){
+                   $(curStep, obj).removeClass("selected");
+                   $(curStep, obj).addClass("done");
+                   
+                   $(selStep, obj).removeClass("disabled");
+                   $(selStep, obj).removeClass("done");
+                   $(selStep, obj).addClass("selected");
+                   $(selStep, obj).attr("isDone",1);
+                   adjustButton();
+                   if($.isFunction(options.onShowStep)) {
+                      if(!options.onShowStep.call(this,$(selStep))){
+                        return false;
+                      }
+                   } 
+                }                
+                
+                function doForwardProgress(){
+                  var nextStepIdx = curStepIdx + 1;
+                  if(steps.length <= nextStepIdx){
+                    if(!options.cycleSteps){
+                      return false;
+                    }                  
+                    nextStepIdx = 0;
+                  }
+                  LoadContent(nextStepIdx);
+                }
+                
+                function doBackwardProgress(){
+                  var nextStepIdx = curStepIdx-1;
+                  if(0 > nextStepIdx){
+                    if(!options.cycleSteps){
+                      return false;
+                    }
+                    nextStepIdx = steps.length - 1;
+                  }
+                  LoadContent(nextStepIdx);
+                }  
+                
+                function adjustButton(){
+                  if(!options.cycleSteps){                
+                    if(0 >= curStepIdx){
+                      $(btPrevious).addClass("buttonDisabled");
+                    }else{
+                      $(btPrevious).removeClass("buttonDisabled");
+                    }
+                    if((steps.length-1) <= curStepIdx){
+                      $(btNext).addClass("buttonDisabled");
+                    }else{
+                      $(btNext).removeClass("buttonDisabled");
+                    }
+                  }
+                  // Finish Button 
+                  if(!steps.hasClass('disabled') || options.enableFinishButton){
+                    $(btFinish).removeClass("buttonDisabled");
+                  }else{
+                    $(btFinish).addClass("buttonDisabled");
+                  }                  
+                }
+                
+                function showMessage(msg){
+                  $('.content',msgBox).html(msg);
+              		msgBox.show();
+                }
+                
+                function setError(stepnum,iserror){
+                  if(iserror){                    
+                    $(steps.eq(stepnum-1), obj).addClass('error')
+                  }else{
+                    $(steps.eq(stepnum-1), obj).removeClass("error");
+                  }                                   
+                }                        
+        });  
+    };  
+ 
+    // Default Properties and Events
+    $.fn.smartWizard.defaults = {
+          selected: 0,  // Selected Step, 0 = first step   
+          keyNavigation: true, // Enable/Disable key navigation(left and right keys are used if enabled)
+          enableAllSteps: false,
+          updateHeight: true,
+          transitionEffect: 'fade', // Effect on navigation, none/fade/slide/slideleft
+          contentURL:null, // content url, Enables Ajax content loading
+          contentCache:true, // cache step contents, if false content is fetched always from ajax url
+          cycleSteps: false, // cycle step navigation
+          includeFinishButton: true, // whether to show a Finish button
+          enableFinishButton: false, // make finish button enabled always
+          errorSteps:[],    // Array Steps with errors
+          labelNext:'Next',
+          labelPrevious:'Previous',
+          labelFinish:'Finish',          
+          onLeaveStep: null, // triggers when leaving a step
+          onShowStep: null,  // triggers when showing a step
+          onFinish: null  // triggers when Finish button is clicked
+    };    
+    
+})(jQuery);
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/ExperimentController.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/ExperimentController.cs	(revision 9304)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Controllers/ExperimentController.cs	(revision 9305)
@@ -31,5 +31,6 @@
         public ActionResult Index()
         {
-          var model = new ExperimentViewModel();
+          return RedirectToAction("New");
+          /*var model = new ExperimentViewModel();
           var scenarios = ControllerService.withControllerService<IEnumerable<string>>((service) => {
             return service.GetOptimizationScenarioNames();
@@ -37,5 +38,5 @@
           var experiments = ControllerService.withControllerService<IEnumerable<string>>((service) => {
             User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
-            return service.GetExperiments(u);
+            return service.GetExperimentNames(u);
           });
           foreach (var experiment in experiments)
@@ -44,45 +45,13 @@
             model.Scenarios.Add(scenario);
 
-          Session["experiment"] = new Experiment();
-
-          return View(model);
+          return View(model);*/
         }
 
         public ActionResult New() {
-          return Index();
+          return View();
         }
 
-        public Experiment Experiment { get { return Session["experiment"] as Experiment; } set { Session["experiment"] = value;} }
-
-        [HttpPost]
-        public JsonResult Save(ExperimentModel model) {
-          var experiment = new Experiment() { Name = model.Name };
-          var stack = new Stack<Node>();
-
-          foreach (var node in model.Experiment.children)
-            stack.Push(node);
-
-          while (stack.Count > 0) {
-            var currentNode = stack.Pop();
-            // add children to stack
-            if (currentNode.children != null)
-              foreach (var node in currentNode.children)
-                stack.Push(node);
-
-            // TODO: Do we really need a tree of scenarios? Or is it a simple list?
-            // push currentNode to experiment
-            if (currentNode.title == "Experiment")
-              continue;
-            experiment.Algorithm.Add(new Algorithm() { Name = currentNode.title });
-          }
-
-          var ok = ControllerService.withControllerService<bool>((service) => {
-            User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
-            return service.SaveExperiment(u, experiment);
-          });
-
-          if (ok)
-            return Json(new { success = true, data = model.Name });
-          return Json(new { success = false, error = "Experiment already exists!" });
+        public ActionResult NewEdit() {
+          return View();
         }
 
@@ -91,5 +60,5 @@
           var experiments = ControllerService.withControllerService<IEnumerable<string>>((service) => {
             User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
-            return service.GetExperiments(u);
+            return service.GetExperimentNames(u);
           });
           foreach (var experiment in experiments)
@@ -106,89 +75,64 @@
         }
 
-        [HttpPost]
-        public JsonResult SaveExperiment([ExperimentJson] Experiment experiment) {
-          return Json(
-            new { 
-              Success = ControllerService.withControllerService<bool>(service => {
+      #region new experiment methdos
+      [HttpGet]
+      public ActionResult Scenario(string nodeId) {
+        var optimizationScenario = ControllerService.withControllerService<OptimizationScenario>(service => {
+          return service.GetOptimizationScenarioByName(nodeId);
+        });
+        return Content(AlgorithmConverter.ConvertScenarioToJson(optimizationScenario).ToString(), "application/json", System.Text.Encoding.UTF8);
+      }
+
+      [HttpGet]
+      public ActionResult ExperimentList() {
+        var experiments = ControllerService.withControllerService<IEnumerable<Experiment>>(service => {
+          User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
+          return service.GetExperiments(u);
+        });
+        return Content(AlgorithmConverter.ConvertExperimentsToJson(experiments).ToString(), "application/json", System.Text.Encoding.UTF8);
+      }
+
+      [HttpGet]
+      public ActionResult ScenarioList() {
+        var scenarios = ControllerService.withControllerService<IEnumerable<OptimizationScenario>>(service => {
+          User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
+          return service.GetOptimizationScenarios();
+        });
+        return Content(AlgorithmConverter.ConvertScenariosToJson(scenarios).ToString(), "application/json", System.Text.Encoding.UTF8);
+      }
+
+      [HttpPut]
+      public JsonResult Experiment(string nodeId, [ExperimentJson] Experiment exp) {
+        return Json(
+            new {
+              nodeId = ControllerService.withControllerService<string>(service => {
                 User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
-                return service.SaveExperiment(u, experiment);
+                return service.SaveExperiment(u, exp);
               })
             });
-        }
+      }
 
-        private JsonResult ComplexExperimentCase(string scenario) {
-          // complex case, find children of experiment
-          var model = new GetParametersModel() { Type = "Complex" };
-          model.Subnames = new List<string>();
+      [HttpPost]
+      public JsonResult Experiment([ExperimentJson] Experiment exp) {
+        return Json(
+            new {
+              nodeId = ControllerService.withControllerService<string>(service => {
+                User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
+                return service.SaveExperiment(u, exp);
+              })
+            });
+      }
 
-          var experiment = ControllerService.withControllerService<Experiment>(service => {
-            User user = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
-            return service.GetExperimentByName(user, scenario);
-          });
 
-          // TODO: Make a tree out of subnames!!
-          if (experiment != null)
-            foreach (var algo in experiment.Algorithm)
-              model.Subnames.Add(algo.Name);
-
-          return Json(model, JsonRequestBehavior.AllowGet);
-        }
-
-        [HttpGet]
-        public JsonResult GetParameters(string scenario, string context, int index) {
-          if (context == "Experiment" || context == null) {
-            var optimizationScenario = ControllerService.withControllerService<OptimizationScenario>(service => {
-              return service.GetOptimizationScenarioByName(scenario);
-            });
-
-            if (optimizationScenario != null) {
-              var model = new GetParametersModel() { Type = "Basic" };
-              model.Algorithm = optimizationScenario.FirstAlgorithm;
-              model.Algorithm.Mapper = optimizationScenario.Id;
-              var json = Json(model, JsonRequestBehavior.AllowGet);
-              return json;
-            }
-            else {
-              // complex case, find children of experiment
-              var model = new GetParametersModel() { Type = "Complex" };
-              model.Subnames = new List<string>();
-
-              var experiment = ControllerService.withControllerService<Experiment>(service => {
-                User user = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
-                return service.GetExperimentByName(user, scenario);
-              });
-
-              // TODO: Make a tree out of subnames!!
-              if (experiment != null)
-                foreach (var algo in experiment.Algorithm)
-                  model.Subnames.Add(algo.Name);
-
-              return Json(model, JsonRequestBehavior.AllowGet);
-            }
-          }
-          else {
-            var experiment = ControllerService.withControllerService<Experiment>(service => {
-              User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
-              return service.GetExperimentByName(u, context);
-            });
-
-            // if child algorithm is a complex algorithm, return as such
-            if (experiment.Algorithm[index].ChildAlgorithms.Count > 0) {
-              var model = new GetParametersModel() { Type = "Complex" };
-              model.Subnames = new List<string>();
-              foreach (var algo in experiment.Algorithm[index].ChildAlgorithms)
-                model.Subnames.Add(algo.Name);
-              return Json(model, JsonRequestBehavior.AllowGet);
-            }
-            else {
-              // otherwise we have the algorithms just below it
-              var model = new GetParametersModel() { Type = "Basic" };
-              model.Algorithm = experiment.Algorithm[index];
-              model.Algorithm.Mapper = experiment.Algorithm[index].Name;
-              var json = Json(model, JsonRequestBehavior.AllowGet);
-              return json;
-            }
-          }
-        }
+      [HttpGet]
+      public ActionResult Experiment(string nodeId) {
+        var experiment = ControllerService.withControllerService<Experiment>(service => {
+          User u = new User() { Username = Membership.GetUser().UserName, Password = Session["pw"] as string };
+          return service.GetExperimentById(u, nodeId);
+        });
+        var str = AlgorithmConverter.ConvertExperimentToJson(experiment).ToString();
+        return Content(str, "application/json", System.Text.Encoding.UTF8);
+      }
+      #endregion
     }
 }
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/HeuristicLab.Services.Optimization.Web.csproj
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/HeuristicLab.Services.Optimization.Web.csproj	(revision 9304)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/HeuristicLab.Services.Optimization.Web.csproj	(revision 9305)
@@ -51,4 +51,7 @@
       <HintPath>..\packages\WindowsAzure.Storage.1.7.0.0\lib\net35-full\Microsoft.WindowsAzure.StorageClient.dll</HintPath>
     </Reference>
+    <Reference Include="Newtonsoft.Json, Version=4.5.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
+      <HintPath>..\packages\Newtonsoft.Json.4.5.11\lib\net40\Newtonsoft.Json.dll</HintPath>
+    </Reference>
     <Reference Include="System.Data.Entity" />
     <Reference Include="System.Data.Services.Client" />
@@ -98,4 +101,8 @@
   <ItemGroup>
     <Content Include="Content\ajax-loader.gif" />
+    <Content Include="Content\backbone\backbone-min.js" />
+    <Content Include="Content\backbone\backbone-relational.js" />
+    <Content Include="Content\backbone\underscore-min.js" />
+    <Content Include="Content\backbone\underscore.js" />
     <Content Include="Content\Datatypemapping.js" />
     <Content Include="Content\dynatree\dist\jquery.dynatree.min.js" />
@@ -106,4 +113,7 @@
     <Content Include="Content\dynatree\src\skin\vline-rtl.gif" />
     <Content Include="Content\dynatree\src\skin\vline.gif" />
+    <Content Include="Content\experiment.controller.js" />
+    <Content Include="Content\experiment.model.js" />
+    <Content Include="Content\experiment.view.js" />
     <Content Include="Content\ExperimentSupport.js" />
     <Compile Include="Binders\AlgorithmJsonAttribute.cs" />
@@ -373,4 +383,5 @@
     <Content Include="Views\Status\Index.cshtml" />
     <Content Include="Views\Experiment\New.cshtml" />
+    <Content Include="Views\Experiment\NewEdit.cshtml" />
   </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
Index: /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Experiment/Index.cshtml
===================================================================
--- /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Experiment/Index.cshtml	(revision 9304)
+++ /branches/OaaS/HeuristicLab.Services.Optimization.Web/Views/Experiment/Index.cshtml	(revision 9305)
@@ -60,6 +60,6 @@
 @section submenu {
     <ul>
-        <li class="selected">@Html.ActionLink("Build", "Index")</li>    
-        <li>@Html.ActionLink("Edit", "Edit")</li>
+        <li class="selected">@Html.ActionLink("Build", "New")</li>    
+        <li>@Html.ActionLink("Edit", "NewEdit")</li>
         <li>@Html.ActionLink("Status", "Index", "Status")</li>
     </ul>
